import { PaginationModuleOptions, PaginationOptions } from './interfaces';
import { FindAndCountOptions, ModelStatic } from 'sequelize';
import { Model, Sequelize } from 'sequelize-typescript';
import { PaginatedDataAbstract } from './common';
export declare class PaginationService {
    private readonly options;
    private readonly sequelize;
    constructor(options: PaginationModuleOptions, sequelize: Sequelize);
    findAllPaginate<M extends Model>(model: ModelStatic<M>, options?: Partial<PaginationOptions<M>>, optionsSequelize?: FindAndCountOptions<M>): Promise<PaginatedDataAbstract<M>>;
    private createMetaLinks;
}
