"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaginatedData = void 0;
const paginated_data_abstract_1 = require("./paginated-data.abstract");
class PaginatedData extends paginated_data_abstract_1.PaginatedDataAbstract {
    toJSON() {
        return {
            items: this.items.map((item) => item.toJSON()),
            meta: this.meta,
        };
    }
}
exports.PaginatedData = PaginatedData;
