import { PaginationModuleAsyncOptions, PaginationModuleOptions } from '../interfaces';
import { Provider } from '@nestjs/common';
export declare const createPaginationAsyncOptions: (options: PaginationModuleAsyncOptions) => Provider<PaginationModuleOptions>;
export declare function mergeDeep<T extends {
    [key: string]: any;
}>(target: T, ...sources: Array<Partial<T> | {
    [key: string]: any;
}>): T;
